## Description of your problem or feature request

First, carefully read the following to determine whether or not you have a valid Aesara issue:

- Does your issue only arise in a library that uses Aesara (e.g. PyMC)?  If so, submit your issue to that library's issue tracker.  From there, the Aesara-specific details can be worked out and a valid Aesara issue can be identified.  **Issues framed primarily in third-party libraries are liable to being marked as invalid and closed.**
- Does your issue involve OS and/or environment-specific settings (e.g. installation and/or compilation issues)?  If so, create a [Discussion](https://github.com/aesara-devs/aesara/discussions) instead.  From there, we can help determine whether or not the issue is due to faulty logic in Aesara (i.e. a valid issue) or something specific to your local setup.


If the above does not apply, and you have an issue or feature request that's specific to Aesara, provide a minimal, self-contained, and reproducible example (i.e. an [MWE](https://en.wikipedia.org/wiki/Minimal_reproducible_example)):

```python
[Your code here]
```

**Please provide the full tracebacks for any relevant errors and/or warning messages.**


```python
[The error output here]
```

**Please provide any additional information below.**


## Versions and main components

* Aesara version:
* Python version:
* Operating system:
* How did you install Aesara: (conda/pip)

<details> <summary> Aesara config: </summary>

Place the results of `python -c "import aesara; print(aesara.config)"` here.

</details>
